---
title: "Get smart collections"
description: "Get a list of smart collections in the store."
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/product/collection/get-intelligent-collections'
  md: 'https://developer.shopline.com/docs/admin-rest-api/product/collection/get-intelligent-collections.md'
---
# Get smart collections

Get a list of smart collections in the store. 

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_products`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /products/smart_collections.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `read_products`

## Request

### Query Parameters

* `fields`

  string (optional)

  Specify the fields to be returned, with multiple fields separated by commas. For available fields, refer to the top-level child parameters under the `smart_collections` object in the response. 

* `handle`

  string (optional)

  The semantically unique identifier for the collection, which is generated based on `title` by default.  <br/>
  Maximum length: 255

* `ids`

  string (optional)

  The unique identifiers for collections to query, with multiple IDs separated by commas.

* `page_info`

  string (optional)

  The unique identifier for pagination queries, used to locate a specific page. 
  
  This parameter value is obtained from the `link` value in the response header of this API after you have queried the pagination information. 
  
  For example, if the `link` value you obtained is `<https://{handle}.myshopline.com/admin/openapi/{version}/products/smart_collections.json?limit=1&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel="next"` , the value of `page_info` is `eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9` . 
  
  For more information on how to use pagination, refer to [Paging Mechanism](https://developer.shopline.com/docs/apps/api-instructions-for-use/paging-mechanism.md).

* `title`

  string (optional)

  The title of the collection.<br/>
  Maximum length: 255

* `updated_at_min`

  string (optional)

  Specify the earliest update time for the collection to be queried. Collections updated on and after this time will be returned. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

* `limit`

  string (optional)

  The quantity limit of collections to be queried.  <br/>
  Value range: 1-250  <br/>
  Default Value: 50  

* `since_id`

  string (optional)

  The ID of a specific collection. Start querying collections from this specified ID (including this ID).

* `updated_at_max`

  string (optional)

  Specify the latest update time for the collection to be queried. Collections updated before this time will be returned. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `link`

  The URL link that provides the pagination data. You can obtain `page_info` from this parameter for subsequent pagination requests. 
  
  This parameter is returned when the requested page has a previous or next page. 
  
  For more information on how to use pagination, refer to [Paging Mechanism](https://developer.shopline.com/docs/apps/api-instructions-for-use/paging-mechanism.md).

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `smart_collections`

  array<object>

  Smart collection information.

  * `banner`

    object

    The cover image of the collection.

    * `alt`

      string

      The alternative textual description of the image, usually a word or phrase with the characteristics or content of the image.

    * `src`

      string

      The link to the image, represented as a URL.

  * `body_html`

    string

    The collection description. 

  * `created_at`

    string

    The date and time when the collection was created. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

  * `disjunctive`

    boolean

    Used to define the logical relationship of product filtering criteria in the smart collection.
    
    - `true`: A product only needs to meet any one of the filtering criteria to be included in the smart collection. 
    - `false`: A product must meet all of the filtering criteria to be included in the smart collection.

  * `handle`

    string

    The semantically unique identifier for the collection, which is generated based on `title` by default.

  * `id`

    string

    The unique identifier for the collection.

  * `image`

    object

    The collection image.

    * `alt`

      string

      The alternative textual description of the image, usually a word or phrase with the characteristics or content of the image.

    * `src`

      string

      The link to the image, represented as a URL.

  * `path`

    string

    The relative path of the collection page.

  * `published_at`

    string

    The date and time when the collection was published to the online store. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

  * `published_scope`

    string

    The published scope of collection sales channels. The value of this field is fixed to `web`, indicating an online store. 

  * `rules`

    array<object>

    Rules for filtering products in the smart collection.

    * `column`

      string

      The field used for filtering.
      
      - `title`: Product title
      - `sale_price`: Product variant selling price
      - `compared_at_price`: Product variant original price
      - `tag`: Product tag
      - `inventory`: Product inventory
      - `vendor`: Brand or manufacturer
      - `variant_weight`: Product variant weight
      - `variant_title`: Product variant title
      - `created_at`: Product creation time
      - `sales`: Product sales volume
      - `view`: Product page views
      - `add_to_cart`: Product add-to-cart quantity
      - `type`: Custom product type
      - `product_taxonomy_node_id`: Standard product type
      - `product_taxonomy_node_id_with_descendants`: Standard product type with subcategories
      - `product_metafield_definition`: Value of product metafield

    * `condition`

      string

      The value to be matched, such as `T shirt` for tags or `10.00` for price.
      
      When `relation` is `is_not_set` or `is_set`, the field is invalid.

    * `condition_object_id`

      long

      The ID of the metafield object.
      

    * `relation`

      string

      The relationship between the field and the value.
      
      - `equals`: Indicates equal to
      - `not_equals`: Indicates not equal to
      - `starts_with`: Indicates prefix matching
      - `ends_with`: Indicates suffix matching
      - `contains`: Indicates inclusion relationship
      - `not_contains`: Indicates non-inclusion relationship
      - `greater_than`: Indicates greater than
      - `less_than`: Indicates less than
      - `is_not_set`：Indicates all values are empty
      - `is_set`：Indicates values are not empty

  * `sort_order`

    string

    Indicates the sorting method of the default sort value for the product list on the collection page.
    
    - `alpha-asc`: Sort by product name from A to Z
    - `alpha-desc`: Sort by product name from Z to A
    - `updated-desc`: Sort by update time from newest to oldest
    - `updated-asc`: Sort by update time from oldest to newest
    - `manual`: Sort by custom order
    - `created-desc`: Sort by creation time from newest to oldest
    - `created-asc`: Sort by creation time from oldest to newest
    - `price-asc`: Sort by the lowest selling price of product variants in ascending order
    - `price-desc`: Sort by the lowest selling price of product variants in descending order
    - `best-selling-last3days`: Sort by sales volume in the last 3 days in descending order
    - `best-selling-last7days`: Sort by sales volume in the last 7 days in descending order
    - `best-selling-last15days`: Sort by sales volume in the last 15 days in descending order
    - `best-selling-last30days`: Sort by sales volume in the last 30 days in descending order
    - `best-selling-last60days`: Sort by sales volume in the last 60 days in descending order
    - `best-selling`: Sort by sales volume in the last 90 days in descending order
    - `additional-purchase-rate-last3days`: Sort by add-to-cart rate in the last 3 days in descending order
    - `additional-purchase-rate-last7days`: Sort by add-to-cart rate in the last 7 days in descending order
    - `additional-purchase-rate-last15days`: Sort by add-to-cart rate in the last 15 days in descending order
    - `additional-purchase-rate-last30days`: Sort by add-to-cart rate in the last 30 days in descending order
    - `additional-purchase-rate-last60days`: Sort by add-to-cart rate in the last 60 days in descending order
    - `additional-purchase-rate-last90days`: Sort by add-to-cart rate in the last 90 days in descending order
    - `conversion-rate-last3days`: Sort by conversion rate in the last 3 days in descending order
    - `conversion-rate-last7days`: Sort by conversion rate in the last 7 days in descending order
    - `conversion-rate-last15days`: Sort by conversion rate in the last 15 days in descending order
    - `conversion-rate-desc`: Sort by conversion rate in the last 30 days in descending order
    - `conversion-rate-last60days`: Sort by conversion rate in the last 60 days in descending order
    - `conversion-rate-last90days`: Sort by conversion rate in the last 90 days in descending order
    - `additional-purchases-num-last3days`: Sort by add-to-cart quantity in the last 3 days in descending order
    - `additional-purchases-num-last7days`: Sort by add-to-cart quantity in the last 7 days in descending order
    - `additional-purchases-num-last15days`: Sort by add-to-cart quantity in the last 15 days in descending order
    - `additional-purchases-num-last30days`: Sort by add-to-cart quantity in the last 30 days in descending order
    - `additional-purchases-num-last60days`: Sort by add-to-cart quantity in the last 60 days in descending order
    - `add-to-cart-desc`: Sort by add-to-cart quantity in the last 90 days in descending order
    - `views-pv-last3days`: Sort by page views in the last 3 days in descending order
    - `views-pv-last7days`: Sort by page views in the last 7 days in descending order
    - `views-pv-last15days`: Sort by page views in the last 15 days in descending order
    - `views-pv-last30days`: Sort by page views in the last 30 days in descending order
    - `views-pv-last60days`: Sort by page views in the last 60 days in descending order
    - `view-desc`: Sort by page views in the last 90 days in descending order

  * `template_path`

    string

    The theme template of the collection.

  * `title`

    string

    The title of the collection.

  * `updated_at`

    string

    The date and time when the collection was last updated. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "tags": [
    "Get smart collections"
  ],
  "description": "Get a list of smart collections in the store. ",
  "externalDocs": {
    "description": "Permission point used by the interface is `read_products` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": "| Error Code | HTTP Status Code | Error Description |\n|------------|------------------|-------------------|\n| DATA_NOT_EXIST | 404 | The requested data does not exist. |\n| SUCCESS | 200 | request success |\n| SYSTEM_ERROR | 500 | system error |\n| PARAM_ILLEGAL | 422 | illegal param |\n"
  },
  "operationId": "wDcE6yVd",
  "parameters": [
    {
      "name": "fields",
      "in": "query",
      "description": "Specify the fields to be returned, with multiple fields separated by commas. For available fields, refer to the top-level child parameters under the `smart_collections` object in the response. ",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "fields",
        "description": "Specify the fields to be returned, with multiple fields separated by commas. For available fields, refer to the top-level child parameters under the `smart_collections` object in the response. ",
        "type": "string",
        "example": "title,handle"
      },
      "example": "title,handle",
      "examples": {
        "Get smart collections by specifying IDs": {
          "value": ""
        },
        "Get smart collections by specifying fields": {
          "value": "title,handle"
        },
        "Get smart collections by specifying pagination information": {
          "value": ""
        },
        "Get smart collections by specifying the handle": {
          "value": ""
        },
        "Get smart collections by specifying the time range": {
          "value": ""
        }
      }
    },
    {
      "name": "handle",
      "in": "query",
      "description": "The semantically unique identifier for the collection, which is generated based on `title` by default.  <br/>\nMaximum length: 255",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "handle",
        "description": "The semantically unique identifier for the collection, which is generated based on `title` by default.  <br/>\nMaximum length: 255",
        "type": "string",
        "example": "collection-handle"
      },
      "example": "collection-handle",
      "examples": {
        "Get smart collections by specifying IDs": {
          "value": ""
        },
        "Get smart collections by specifying fields": {
          "value": ""
        },
        "Get smart collections by specifying pagination information": {
          "value": ""
        },
        "Get smart collections by specifying the handle": {
          "value": "first-zn"
        },
        "Get smart collections by specifying the time range": {
          "value": ""
        }
      }
    },
    {
      "name": "ids",
      "in": "query",
      "description": "The unique identifiers for collections to query, with multiple IDs separated by commas.",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "ids",
        "description": "The unique identifiers for collections to query, with multiple IDs separated by commas.",
        "type": "string",
        "example": "12257170618007271602093384,12257170618007271602083384"
      },
      "example": "12257170618007271602093384,12257170618007271602083384",
      "examples": {
        "Get smart collections by specifying IDs": {
          "value": "12259764264680491895113144,12259764426561500409593144"
        },
        "Get smart collections by specifying fields": {
          "value": ""
        },
        "Get smart collections by specifying pagination information": {
          "value": ""
        },
        "Get smart collections by specifying the handle": {
          "value": ""
        },
        "Get smart collections by specifying the time range": {
          "value": ""
        }
      }
    },
    {
      "name": "page_info",
      "in": "query",
      "description": "The unique identifier for pagination queries, used to locate a specific page. \n\nThis parameter value is obtained from the `link` value in the response header of this API after you have queried the pagination information. \n\nFor example, if the `link` value you obtained is `<https://{handle}.myshopline.com/admin/openapi/{version}/products/smart_collections.json?limit=1&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel=\"next\"` , the value of `page_info` is `eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9` . \n\nFor more information on how to use pagination, refer to [Paging Mechanism](https://developer.shopline.com/docs/apps/api-instructions-for-use/paging-mechanism.md).",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "page_info",
        "description": "The unique identifier for pagination queries, used to locate a specific page. This parameter value is obtained from the `link` value in the response header of this API after you have queried the pagination information. For example, if the `link` value you obtained is `<https://\\{handle\\}.myshopline.com/admin/openapi/\\{version\\}/products/products.json? limit=1&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel=\"next\"`, the value of `page_info` is `eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9`.\n\nFor more information on how to use pagination, refer to [Paging Mechanism](https://developer.shopline.com/docs/apps/api-instructions-for-use/paging-mechanism.md).",
        "type": "string"
      },
      "examples": {
        "Get smart collections by specifying IDs": {
          "value": ""
        },
        "Get smart collections by specifying fields": {
          "value": ""
        },
        "Get smart collections by specifying pagination information": {
          "value": "eyJzaW5jZUlkIjoiMTIyNTk3NjQ0MjY1NjE1MDA0MDk1OTMxNDQiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjJ9"
        },
        "Get smart collections by specifying the handle": {
          "value": ""
        },
        "Get smart collections by specifying the time range": {
          "value": ""
        }
      }
    },
    {
      "name": "title",
      "in": "query",
      "description": "The title of the collection.<br/>\nMaximum length: 255",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "title",
        "description": "The title of the collection.<br/>\nMaximum length: 255",
        "type": "string",
        "example": "This is a title"
      },
      "example": "This is a title",
      "examples": {
        "Get smart collections by specifying IDs": {
          "value": ""
        },
        "Get smart collections by specifying fields": {
          "value": ""
        },
        "Get smart collections by specifying pagination information": {
          "value": ""
        },
        "Get smart collections by specifying the handle": {
          "value": ""
        },
        "Get smart collections by specifying the time range": {
          "value": ""
        }
      }
    },
    {
      "name": "updated_at_min",
      "in": "query",
      "description": "Specify the earliest update time for the collection to be queried. Collections updated on and after this time will be returned. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "updated_at_min",
        "description": "Specify the earliest update time for the collection to be queried. Collections updated on and after this time will be returned. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).",
        "type": "string",
        "example": "2021-09-04T14:11:54+00:00"
      },
      "example": "2021-09-04T14:11:54+00:00",
      "examples": {
        "Get smart collections by specifying IDs": {
          "value": ""
        },
        "Get smart collections by specifying fields": {
          "value": ""
        },
        "Get smart collections by specifying pagination information": {
          "value": ""
        },
        "Get smart collections by specifying the handle": {
          "value": ""
        },
        "Get smart collections by specifying the time range": {
          "value": "2023-08-04T14:11:54+00:00"
        }
      }
    },
    {
      "name": "limit",
      "in": "query",
      "description": "The quantity limit of collections to be queried.  <br/>\nValue range: 1-250  <br/>\nDefault Value: 50  ",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "limit",
        "description": "The quantity limit of collections to be queried.  <br/>\nValue range: 1-250  <br/>\nDefault Value: 50  ",
        "type": "string"
      },
      "examples": {
        "Get smart collections by specifying IDs": {
          "value": "100"
        },
        "Get smart collections by specifying fields": {
          "value": "100"
        },
        "Get smart collections by specifying pagination information": {
          "value": "2"
        },
        "Get smart collections by specifying the handle": {
          "value": "100"
        },
        "Get smart collections by specifying the time range": {
          "value": "10"
        }
      }
    },
    {
      "name": "since_id",
      "in": "query",
      "description": "The ID of a specific collection. Start querying collections from this specified ID (including this ID).",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "since_id",
        "description": "The ID of a specific collection. Start querying collections from this specified ID (including this ID).",
        "type": "string",
        "example": "12257170618007271602093384"
      },
      "example": "12257170618007271602093384",
      "examples": {
        "Get smart collections by specifying IDs": {
          "value": ""
        },
        "Get smart collections by specifying fields": {
          "value": ""
        },
        "Get smart collections by specifying pagination information": {
          "value": ""
        },
        "Get smart collections by specifying the handle": {
          "value": ""
        },
        "Get smart collections by specifying the time range": {
          "value": ""
        }
      }
    },
    {
      "name": "updated_at_max",
      "in": "query",
      "description": "Specify the latest update time for the collection to be queried. Collections updated before this time will be returned. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "updated_at_max",
        "description": "Specify the latest update time for the collection to be queried. Collections updated before this time will be returned. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).",
        "type": "string",
        "example": "2021-09-03T14:11:54+00:00"
      },
      "example": "2021-09-03T14:11:54+00:00",
      "examples": {
        "Get smart collections by specifying IDs": {
          "value": ""
        },
        "Get smart collections by specifying fields": {
          "value": ""
        },
        "Get smart collections by specifying pagination information": {
          "value": ""
        },
        "Get smart collections by specifying the handle": {
          "value": ""
        },
        "Get smart collections by specifying the time range": {
          "value": "2023-09-03T14:11:54+00:00"
        }
      }
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "link": {
          "description": "The URL link that provides the pagination data. You can obtain `page_info` from this parameter for subsequent pagination requests. \n\nThis parameter is returned when the requested page has a previous or next page. \n\nFor more information on how to use pagination, refer to [Paging Mechanism](https://developer.shopline.com/docs/apps/api-instructions-for-use/paging-mechanism.md).",
          "example": "\\<https://{handle}.myshopline.com/admin/openapi/{version}/products/smart_collections.json?limit=20&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel='previous',<https://{handle}.myshopline.com/admin/openapi/{version}/products/smart_collections.json?limit=20&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJwcmUiLCJsaW1pdCI6MX0=\\>; rel='next'"
        },
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "name": "body",
            "type": "object",
            "properties": {
              "smart_collections": {
                "name": "smart_collections",
                "description": "Smart collection information.",
                "type": "array",
                "items": {
                  "type": "object",
                  "properties": {
                    "banner": {
                      "name": "banner",
                      "description": "The cover image of the collection.",
                      "type": "object",
                      "properties": {
                        "alt": {
                          "name": "alt",
                          "description": "The alternative textual description of the image, usually a word or phrase with the characteristics or content of the image.",
                          "type": "string",
                          "example": "This is an image alt"
                        },
                        "src": {
                          "name": "src",
                          "description": "The link to the image, represented as a URL.",
                          "type": "string",
                          "example": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                        }
                      },
                      "example": {
                        "alt": "This is an image alt",
                        "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                      }
                    },
                    "body_html": {
                      "name": "body_html",
                      "description": "The collection description. ",
                      "type": "string",
                      "example": "This is a description"
                    },
                    "created_at": {
                      "name": "created_at",
                      "description": "The date and time when the collection was created. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).",
                      "type": "string",
                      "example": "2021-09-03T14:11:54+00:00"
                    },
                    "disjunctive": {
                      "name": "disjunctive",
                      "description": "Used to define the logical relationship of product filtering criteria in the smart collection.\n\n- `true`: A product only needs to meet any one of the filtering criteria to be included in the smart collection. \n- `false`: A product must meet all of the filtering criteria to be included in the smart collection.",
                      "type": "boolean"
                    },
                    "handle": {
                      "name": "handle",
                      "description": "The semantically unique identifier for the collection, which is generated based on `title` by default.",
                      "type": "string",
                      "example": "collection-handle"
                    },
                    "id": {
                      "name": "id",
                      "description": "The unique identifier for the collection.",
                      "type": "string",
                      "example": "12257170618007271602093384"
                    },
                    "image": {
                      "name": "image",
                      "description": "The collection image.",
                      "type": "object",
                      "properties": {
                        "alt": {
                          "name": "alt",
                          "description": "The alternative textual description of the image, usually a word or phrase with the characteristics or content of the image.",
                          "type": "string",
                          "example": "This is an image alt"
                        },
                        "src": {
                          "name": "src",
                          "description": "The link to the image, represented as a URL.",
                          "type": "string",
                          "example": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                        }
                      },
                      "example": {
                        "alt": "This is an image alt",
                        "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                      }
                    },
                    "path": {
                      "name": "path",
                      "description": "The relative path of the collection page.",
                      "type": "string",
                      "example": "/collections/spring"
                    },
                    "published_at": {
                      "name": "published_at",
                      "description": "The date and time when the collection was published to the online store. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).",
                      "type": "string",
                      "example": "2021-09-03T14:11:54+00:00"
                    },
                    "published_scope": {
                      "name": "published_scope",
                      "description": "The published scope of collection sales channels. The value of this field is fixed to `web`, indicating an online store. ",
                      "type": "string"
                    },
                    "rules": {
                      "name": "rules",
                      "description": "Rules for filtering products in the smart collection.",
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "column": {
                            "name": "column",
                            "description": "The field used for filtering.\n\n- `title`: Product title\n- `sale_price`: Product variant selling price\n- `compared_at_price`: Product variant original price\n- `tag`: Product tag\n- `inventory`: Product inventory\n- `vendor`: Brand or manufacturer\n- `variant_weight`: Product variant weight\n- `variant_title`: Product variant title\n- `created_at`: Product creation time\n- `sales`: Product sales volume\n- `view`: Product page views\n- `add_to_cart`: Product add-to-cart quantity\n- `type`: Custom product type\n- `product_taxonomy_node_id`: Standard product type\n- `product_taxonomy_node_id_with_descendants`: Standard product type with subcategories\n- `product_metafield_definition`: Value of product metafield",
                            "type": "string"
                          },
                          "condition": {
                            "name": "condition",
                            "description": "The value to be matched, such as `T shirt` for tags or `10.00` for price.\n\nWhen `relation` is `is_not_set` or `is_set`, the field is invalid.",
                            "type": "string",
                            "example": "true"
                          },
                          "condition_object_id": {
                            "name": "condition_object_id",
                            "description": "The ID of the metafield object.\n",
                            "type": "long",
                            "example": 483749284
                          },
                          "relation": {
                            "name": "relation",
                            "description": "The relationship between the field and the value.\n\n- `equals`: Indicates equal to\n- `not_equals`: Indicates not equal to\n- `starts_with`: Indicates prefix matching\n- `ends_with`: Indicates suffix matching\n- `contains`: Indicates inclusion relationship\n- `not_contains`: Indicates non-inclusion relationship\n- `greater_than`: Indicates greater than\n- `less_than`: Indicates less than\n- `is_not_set`：Indicates all values are empty\n- `is_set`：Indicates values are not empty",
                            "type": "string"
                          }
                        },
                        "example": {
                          "column": null,
                          "condition": "true",
                          "condition_object_id": 483749284,
                          "relation": null
                        }
                      }
                    },
                    "sort_order": {
                      "name": "sort_order",
                      "description": "Indicates the sorting method of the default sort value for the product list on the collection page.\n\n- `alpha-asc`: Sort by product name from A to Z\n- `alpha-desc`: Sort by product name from Z to A\n- `updated-desc`: Sort by update time from newest to oldest\n- `updated-asc`: Sort by update time from oldest to newest\n- `manual`: Sort by custom order\n- `created-desc`: Sort by creation time from newest to oldest\n- `created-asc`: Sort by creation time from oldest to newest\n- `price-asc`: Sort by the lowest selling price of product variants in ascending order\n- `price-desc`: Sort by the lowest selling price of product variants in descending order\n- `best-selling-last3days`: Sort by sales volume in the last 3 days in descending order\n- `best-selling-last7days`: Sort by sales volume in the last 7 days in descending order\n- `best-selling-last15days`: Sort by sales volume in the last 15 days in descending order\n- `best-selling-last30days`: Sort by sales volume in the last 30 days in descending order\n- `best-selling-last60days`: Sort by sales volume in the last 60 days in descending order\n- `best-selling`: Sort by sales volume in the last 90 days in descending order\n- `additional-purchase-rate-last3days`: Sort by add-to-cart rate in the last 3 days in descending order\n- `additional-purchase-rate-last7days`: Sort by add-to-cart rate in the last 7 days in descending order\n- `additional-purchase-rate-last15days`: Sort by add-to-cart rate in the last 15 days in descending order\n- `additional-purchase-rate-last30days`: Sort by add-to-cart rate in the last 30 days in descending order\n- `additional-purchase-rate-last60days`: Sort by add-to-cart rate in the last 60 days in descending order\n- `additional-purchase-rate-last90days`: Sort by add-to-cart rate in the last 90 days in descending order\n- `conversion-rate-last3days`: Sort by conversion rate in the last 3 days in descending order\n- `conversion-rate-last7days`: Sort by conversion rate in the last 7 days in descending order\n- `conversion-rate-last15days`: Sort by conversion rate in the last 15 days in descending order\n- `conversion-rate-desc`: Sort by conversion rate in the last 30 days in descending order\n- `conversion-rate-last60days`: Sort by conversion rate in the last 60 days in descending order\n- `conversion-rate-last90days`: Sort by conversion rate in the last 90 days in descending order\n- `additional-purchases-num-last3days`: Sort by add-to-cart quantity in the last 3 days in descending order\n- `additional-purchases-num-last7days`: Sort by add-to-cart quantity in the last 7 days in descending order\n- `additional-purchases-num-last15days`: Sort by add-to-cart quantity in the last 15 days in descending order\n- `additional-purchases-num-last30days`: Sort by add-to-cart quantity in the last 30 days in descending order\n- `additional-purchases-num-last60days`: Sort by add-to-cart quantity in the last 60 days in descending order\n- `add-to-cart-desc`: Sort by add-to-cart quantity in the last 90 days in descending order\n- `views-pv-last3days`: Sort by page views in the last 3 days in descending order\n- `views-pv-last7days`: Sort by page views in the last 7 days in descending order\n- `views-pv-last15days`: Sort by page views in the last 15 days in descending order\n- `views-pv-last30days`: Sort by page views in the last 30 days in descending order\n- `views-pv-last60days`: Sort by page views in the last 60 days in descending order\n- `view-desc`: Sort by page views in the last 90 days in descending order",
                      "type": "string"
                    },
                    "template_path": {
                      "name": "template_path",
                      "description": "The theme template of the collection.",
                      "type": "string",
                      "example": "templates/collection.collection_template_name.json"
                    },
                    "title": {
                      "name": "title",
                      "description": "The title of the collection.",
                      "type": "string",
                      "example": "This is a title"
                    },
                    "updated_at": {
                      "name": "updated_at",
                      "description": "The date and time when the collection was last updated. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).",
                      "type": "string",
                      "example": "2021-09-03T14:11:54+00:00"
                    }
                  },
                  "example": {
                    "banner": {
                      "alt": "This is an image alt",
                      "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                    },
                    "body_html": "This is a description",
                    "created_at": "2021-09-03T14:11:54+00:00",
                    "disjunctive": null,
                    "handle": "collection-handle",
                    "id": "12257170618007271602093384",
                    "image": {
                      "alt": "This is an image alt",
                      "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                    },
                    "path": "/collections/spring",
                    "published_at": "2021-09-03T14:11:54+00:00",
                    "published_scope": null,
                    "rules": null,
                    "sort_order": null,
                    "template_path": "templates/collection.collection_template_name.json",
                    "title": "This is a title",
                    "updated_at": "2021-09-03T14:11:54+00:00"
                  }
                }
              }
            },
            "example": {
              "smart_collections": null
            }
          },
          "examples": {
            "Get smart collections by specifying IDs": {
              "description": "Get smart collections by specifying IDs.",
              "value": {
                "smart_collections": [
                  {
                    "banner": {
                      "alt": "This is an image alt",
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a_15.png?w=1024&h=1024"
                    },
                    "body_html": "This is a description",
                    "created_at": "2023-06-12T14:21:25+08:00",
                    "disjunctive": true,
                    "handle": "first-zn",
                    "id": "12259764264680491895113144",
                    "image": {
                      "alt": "This is an image alt",
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a_15.png?w=1024&h=1024"
                    },
                    "published_at": "2023-06-12T14:21:25+08:00",
                    "published_scope": "web",
                    "rules": [
                      {
                        "column": "tag",
                        "condition": "T shirt",
                        "relation": "equals"
                      }
                    ],
                    "sort_order": "updated-asc",
                    "template_path": "templates/collection.html",
                    "title": "First Smart Collection",
                    "updated_at": "2023-08-29T16:14:56+08:00"
                  },
                  {
                    "banner": {
                      "alt": "This is a alt",
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a.png?w=1024&h=1024"
                    },
                    "body_html": "<p>This is a desription</p>",
                    "created_at": "2023-06-12T14:37:30+08:00",
                    "disjunctive": true,
                    "handle": "second-zn",
                    "id": "12259764426561500409593144",
                    "image": {
                      "alt": "This is a alt",
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a.png?w=1024&h=1024"
                    },
                    "published_at": "2023-06-12T14:37:30+08:00",
                    "published_scope": "web",
                    "rules": [
                      {
                        "column": "tag",
                        "condition": "T shirt",
                        "relation": "equals"
                      },
                      {
                        "column": "title",
                        "condition": "My",
                        "relation": "starts_with"
                      }
                    ],
                    "sort_order": "manual",
                    "template_path": "templates/collection.html",
                    "title": "Second Smart Collection",
                    "updated_at": "2023-08-29T15:06:07+08:00"
                  }
                ]
              }
            },
            "Get smart collections by specifying fields": {
              "description": "Get smart collections by specifying fields.",
              "value": {
                "smart_collections": [
                  {
                    "handle": "first-zn",
                    "title": "First Smart Collection"
                  },
                  {
                    "handle": "second-zn",
                    "title": "Second Smart Collection"
                  },
                  {
                    "handle": "-copy-second-zn",
                    "title": "Third Smart Collection"
                  },
                  {
                    "handle": "four-zn",
                    "title": "Four Smart Collection"
                  }
                ]
              }
            },
            "Get smart collections by specifying pagination information": {
              "description": "Get smart collections by specifying pagination information.",
              "value": {
                "smart_collections": [
                  {
                    "banner": {
                      "alt": "This is a alt",
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a.png?w=1024&h=1024"
                    },
                    "body_html": "<p>This is a desription</p>",
                    "created_at": "2023-06-13T13:12:38+08:00",
                    "disjunctive": true,
                    "handle": "-copy-second-zn",
                    "id": "12259778067828100696713144",
                    "image": {
                      "alt": "This is a alt",
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a.png?w=1024&h=1024"
                    },
                    "published_at": "2023-06-13T13:12:38+08:00",
                    "published_scope": "web",
                    "rules": [
                      {
                        "column": "tag",
                        "condition": "T shirt",
                        "relation": "equals"
                      },
                      {
                        "column": "sale_price",
                        "condition": "120.00",
                        "relation": "greater_than"
                      }
                    ],
                    "sort_order": "manual",
                    "template_path": "templates/collection.html",
                    "title": "Third Smart Collection",
                    "updated_at": "2023-08-29T16:08:11+08:00"
                  },
                  {
                    "banner": {
                      "alt": "This is an image alt",
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a_15.png?w=1024&h=1024"
                    },
                    "body_html": "This is a description",
                    "created_at": "2023-08-29T16:05:23+08:00",
                    "disjunctive": true,
                    "handle": "four-zn",
                    "id": "12260895961380206730473144",
                    "image": {
                      "alt": "This is an image alt",
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a_15.png?w=1024&h=1024"
                    },
                    "published_at": "2023-08-29T16:05:23+08:00",
                    "published_scope": "web",
                    "rules": [
                      {
                        "column": "tag",
                        "condition": "T shirt",
                        "relation": "equals"
                      }
                    ],
                    "sort_order": "updated-asc",
                    "title": "Four Smart Collection",
                    "updated_at": "2023-08-29T16:26:06+08:00"
                  }
                ]
              }
            },
            "Get smart collections by specifying the handle": {
              "description": "Get smart collections by specifying the handle.",
              "value": {
                "smart_collections": [
                  {
                    "banner": {
                      "alt": "This is an image alt",
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a_15.png?w=1024&h=1024"
                    },
                    "body_html": "This is a description",
                    "created_at": "2023-06-12T14:21:25+08:00",
                    "disjunctive": true,
                    "handle": "first-zn",
                    "id": "12259764264680491895113144",
                    "image": {
                      "alt": "This is an image alt",
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a_15.png?w=1024&h=1024"
                    },
                    "published_at": "2023-06-12T14:21:25+08:00",
                    "published_scope": "web",
                    "rules": [
                      {
                        "column": "tag",
                        "condition": "T shirt",
                        "relation": "equals"
                      }
                    ],
                    "sort_order": "updated-asc",
                    "template_path": "templates/collection.html",
                    "title": "First Smart Collection",
                    "updated_at": "2023-08-29T16:14:56+08:00"
                  }
                ]
              }
            },
            "Get smart collections by specifying the time range": {
              "description": "Get smart collections by specifying the time range.",
              "value": {
                "smart_collections": [
                  {
                    "banner": {
                      "alt": "This is an image alt",
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a_15.png?w=1024&h=1024"
                    },
                    "body_html": "This is a description",
                    "created_at": "2023-06-12T14:21:25+08:00",
                    "disjunctive": true,
                    "handle": "first-zn",
                    "id": "12259764264680491895113144",
                    "image": {
                      "alt": "This is an image alt",
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a_15.png?w=1024&h=1024"
                    },
                    "published_at": "2023-06-12T14:21:25+08:00",
                    "published_scope": "web",
                    "rules": [
                      {
                        "column": "tag",
                        "condition": "T shirt",
                        "relation": "equals"
                      }
                    ],
                    "sort_order": "updated-asc",
                    "template_path": "templates/collection.html",
                    "title": "First Smart Collection",
                    "updated_at": "2023-08-29T16:14:56+08:00"
                  },
                  {
                    "banner": {
                      "alt": "This is a alt",
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a.png?w=1024&h=1024"
                    },
                    "body_html": "<p>This is a desription</p>",
                    "created_at": "2023-06-12T14:37:30+08:00",
                    "disjunctive": true,
                    "handle": "second-zn",
                    "id": "12259764426561500409593144",
                    "image": {
                      "alt": "This is a alt",
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a.png?w=1024&h=1024"
                    },
                    "published_at": "2023-06-12T14:37:30+08:00",
                    "published_scope": "web",
                    "rules": [
                      {
                        "column": "tag",
                        "condition": "T shirt",
                        "relation": "equals"
                      },
                      {
                        "column": "title",
                        "condition": "My",
                        "relation": "starts_with"
                      }
                    ],
                    "sort_order": "manual",
                    "template_path": "templates/collection.html",
                    "title": "Second Smart Collection",
                    "updated_at": "2023-08-29T15:06:07+08:00"
                  },
                  {
                    "banner": {
                      "alt": "This is a alt",
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a.png?w=1024&h=1024"
                    },
                    "body_html": "<p>This is a desription</p>",
                    "created_at": "2023-06-13T13:12:38+08:00",
                    "disjunctive": true,
                    "handle": "-copy-second-zn",
                    "id": "12259778067828100696713144",
                    "image": {
                      "alt": "This is a alt",
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a.png?w=1024&h=1024"
                    },
                    "published_at": "2023-06-13T13:12:38+08:00",
                    "published_scope": "web",
                    "rules": [
                      {
                        "column": "tag",
                        "condition": "T shirt",
                        "relation": "equals"
                      },
                      {
                        "column": "sale_price",
                        "condition": "120.00",
                        "relation": "greater_than"
                      }
                    ],
                    "sort_order": "manual",
                    "template_path": "templates/collection.html",
                    "title": "Third Smart Collection",
                    "updated_at": "2023-08-29T16:08:11+08:00"
                  },
                  {
                    "banner": {
                      "alt": "This is an image alt",
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a_15.png?w=1024&h=1024"
                    },
                    "body_html": "This is a description",
                    "created_at": "2023-08-29T16:05:23+08:00",
                    "disjunctive": true,
                    "handle": "four-zn",
                    "id": "12260895961380206730473144",
                    "image": {
                      "alt": "This is an image alt",
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a_15.png?w=1024&h=1024"
                    },
                    "published_at": "2023-08-29T16:05:23+08:00",
                    "published_scope": "web",
                    "rules": [
                      {
                        "column": "tag",
                        "condition": "T shirt",
                        "relation": "equals"
                      }
                    ],
                    "sort_order": "updated-asc",
                    "title": "Four Smart Collection",
                    "updated_at": "2023-08-29T16:26:06+08:00"
                  }
                ]
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/products/smart_collections.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Get smart collections",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_products"
  ]
}
```